CMSIS-Driver: WiFi Events

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
WiFi Events
WiFi Control

The WiFi driver generates call back events that are notified via the function ARM_WIFI_SignalEvent. More...

## Macros

#define | ARM_WIFI_EVENT_AP_CONNECT (1UL << 0)
| Access Point: Station has connected; arg = &mac, mac (uint8_t[6]) More...
#define | ARM_WIFI_EVENT_AP_DISCONNECT (1UL << 1)
| Access Point: Station has disconnected; arg = &mac, mac (uint8_t[6]) More...
#define | ARM_WIFI_EVENT_ETH_RX_FRAME (1UL << 4)
| Ethernet Frame Received (in bypass mode only); arg = interface (0 = Station, 1 = Access Point) More...

## Description

The WiFi driver generates call back events that are notified via the function ARM_WIFI_SignalEvent.

The following call back notification events are generated:

## Macro Definition Documentation

#define ARM_WIFI_EVENT_AP_CONNECT (1UL << 0)

Access Point: Station has connected; arg = &mac, mac (uint8_t[6])

#define ARM_WIFI_EVENT_AP_DISCONNECT (1UL << 1)

Access Point: Station has disconnected; arg = &mac, mac (uint8_t[6])

#define ARM_WIFI_EVENT_ETH_RX_FRAME (1UL << 4)

Ethernet Frame Received (in bypass mode only); arg = interface (0 = Station, 1 = Access Point)